summaryrefslogtreecommitdiffstats
path: root/src
diff options
context:
space:
mode:
authorJames Rayner <james@archlinux.org>2008-10-04 01:32:14 +0200
committerJames Rayner <james@archlinux.org>2008-10-04 01:32:14 +0200
commit8522e629b7b70a55ffa46531e1995949e89a93ed (patch)
tree50e22fab05d2f8faa1067a57d45c82eb408e97e3 /src
parentf5583fa284f3fa130ff0c84effa5b5fa0fff5c78 (diff)
downloadnetctl-8522e629b7b70a55ffa46531e1995949e89a93ed.tar.gz
netctl-8522e629b7b70a55ffa46531e1995949e89a93ed.tar.xz
Adjust arguments for dhcpcd 4.x
Diffstat (limited to 'src')
-rw-r--r--src/ethernet.subr6
1 files changed, 3 insertions, 3 deletions
diff --git a/src/ethernet.subr b/src/ethernet.subr
index d6a6970..7df59b1 100644
--- a/src/ethernet.subr
+++ b/src/ethernet.subr
@@ -41,9 +41,9 @@ ethernet_up() {
# Clear remaining pid files.
rm -f /var/run/dhcpcd-${INTERFACE}.{pid,cache} >/dev/null 2>&1
# If using own dns, tell dhcpcd to NOT replace resolv.conf
- [[ -n "$DNS1" ]] && DHCP_OPTIONS="-R $DHCP_OPTIONS"
+ [[ -n "$DNS1" ]] && DHCP_OPTIONS="-C resolv.conf $DHCP_OPTIONS"
# Start dhcpcd
- if ! dhcpcd -L -t $DHCP_TIMEOUT $DHCP_OPTIONS $INTERFACE; then
+ if ! dhcpcd -qL -t $DHCP_TIMEOUT $DHCP_OPTIONS $INTERFACE; then
err_append "DHCP IP lease attempt failed"
return 1
fi
@@ -98,7 +98,7 @@ ethernet_down() {
fi
else
if [[ -f /var/run/dhcpcd-${INTERFACE}.pid ]]; then
- dhcpcd -x $INTERFACE
+ dhcpcd -qx $INTERFACE
fi
fi
;;